GB Bank Accounts v2

The GbBankAccount object

Attributes

  • idstring

    The ID of the GBBankAccount object.

  • objectstring, value is "v2.core.vault.gb_bank_account"

    String representing the object’s type. Objects of the same type share the same value of the object field.

  • archivedboolean

    Whether this bank account object was archived. Bank account objects can be archived through the /archive API, and they will not be automatically archived by Stripe. Archived bank account objects cannot be used as outbound destinations and will not appear in the outbound destination list.

  • bank_account_typeenum

    The type of the bank account (checking or savings).

    Possible enum values
    checking

    Checking account.

    savings

    Savings account.

  • bank_namestring

    The name of the bank.

  • confirmation_of_payeeobject

    Information around the status of Confirmation of Payee matching done on this bank account. Confirmation of Payee is a name matching service that must be done before making OutboundPayments in the UK.

  • createdtimestamp

    Creation time.

  • last4string

    The last 4 digits of the account number or IBAN.

  • livemodeboolean

    Has the value true if the object exists in live mode or the value false if the object exists in test mode.

  • sort_codestring

    The Sort Code of the bank account.

The GbBankAccount object
{
"id": "gbba_test_61QxvysjMYlAri7b116NoALk2zSQmWXk6WVQ0RRC4FH6",
"object": "v2.core.vault.gb_bank_account",
"archived": false,
"bank_account_type": "checking",
"bank_name": "Test Bank",
"last4": "2345",
"created": "2024-08-16T21:49:30.380Z",
"sort_code": "108800",
"confirmation_of_payee": {
"result": {
"created": "2024-10-25T17:29:53.000Z",
"match_result": "partial_match",
"matched": {
"business_type": "personal",
"name": "Jenny Rosen"
},
"message": "The provided name Jennifer Rosen partially matches the name Jenny Rosen the bank has on file for this account.",
"provided": {
"business_type": "personal",
"name": "Jennifer Rosen"
}
},
"status": "confirmed"
}
}

Create a GbBankAccount object v2

Create a GB bank account.

Learn more about calling API v2 endpoints.

Parameters

  • account_numberstringRequired

    The Account Number of the bank account.

  • sort_codestringRequired

    The Sort Code of the bank account.

  • bank_account_typeenum

    The type of the bank account (checking or savings).

    Possible enum values
    checking

    Checking account.

    savings

    Savings account.

  • confirmation_of_payeeobject

    Whether or not to automatically perform Confirmation of Payee to verify the users information against what was provided by the bank. Doing so is required for all bank accounts not owned by you before making domestic UK OutboundPayments.

Returns

Response attributes

  • idstring

    The ID of the GBBankAccount object.

  • objectstring, value is "v2.core.vault.gb_bank_account"

    String representing the object’s type. Objects of the same type share the same value of the object field.

  • archivedboolean

    Whether this bank account object was archived. Bank account objects can be archived through the /archive API, and they will not be automatically archived by Stripe. Archived bank account objects cannot be used as outbound destinations and will not appear in the outbound destination list.

  • bank_account_typeenum

    The type of the bank account (checking or savings).

    Possible enum values
    checking

    Checking account.

    savings

    Savings account.

  • bank_namestring

    The name of the bank.

  • confirmation_of_payeeobject

    Information around the status of Confirmation of Payee matching done on this bank account. Confirmation of Payee is a name matching service that must be done before making OutboundPayments in the UK.

  • createdtimestamp

    Creation time.

  • last4string

    The last 4 digits of the account number or IBAN.

  • livemodeboolean

    Has the value true if the object exists in live mode or the value false if the object exists in test mode.

  • sort_codestring

    The Sort Code of the bank account.

404not_found

The resource wasn’t found.

409idempotency_error

An idempotent retry occurred with different request parameters.

POST /v2/core/vault/gb_bank_accounts
curl -X POST https://api.stripe.com/v2/core/vault/gb_bank_accounts \
-H "Authorization: Bearer sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2" \
-H "Stripe-Version: 2025-11-17.preview" \
--json '{
"sort_code": "108800",
"account_number": "00012345"
}'
Response
{
"id": "gbba_test_61QxvysjMYlAri7b116NoALk2zSQmWXk6WVQ0RRC4FH6",
"object": "v2.core.vault.gb_bank_account",
"archived": false,
"bank_account_type": "checking",
"bank_name": "Test Bank",
"last4": "2345",
"created": "2024-08-16T21:49:30.380Z",
"sort_code": "108800",
"confirmation_of_payee": {
"result": {
"created": "2024-10-25T17:29:53.000Z",
"match_result": "partial_match",
"matched": {
"business_type": "personal",
"name": "Jenny Rosen"
},
"message": "The provided name Jennifer Rosen partially matches the name Jenny Rosen the bank has on file for this account.",
"provided": {
"business_type": "personal",
"name": "Jennifer Rosen"
}
},
"status": "confirmed"
},
"livemode": true
}

Retrieve a GbBankAccount object v2

Retrieve a GB bank account.

Learn more about calling API v2 endpoints.

Parameters

  • idstringRequired

    The ID of the GBBankAccount object.

Returns

Response attributes

  • idstring

    The ID of the GBBankAccount object.

  • objectstring, value is "v2.core.vault.gb_bank_account"

    String representing the object’s type. Objects of the same type share the same value of the object field.

  • archivedboolean

    Whether this bank account object was archived. Bank account objects can be archived through the /archive API, and they will not be automatically archived by Stripe. Archived bank account objects cannot be used as outbound destinations and will not appear in the outbound destination list.

  • bank_account_typeenum

    The type of the bank account (checking or savings).

    Possible enum values
    checking

    Checking account.

    savings

    Savings account.

  • bank_namestring

    The name of the bank.

  • confirmation_of_payeeobject

    Information around the status of Confirmation of Payee matching done on this bank account. Confirmation of Payee is a name matching service that must be done before making OutboundPayments in the UK.

  • createdtimestamp

    Creation time.

  • last4string

    The last 4 digits of the account number or IBAN.

  • livemodeboolean

    Has the value true if the object exists in live mode or the value false if the object exists in test mode.

  • sort_codestring

    The Sort Code of the bank account.

404not_found

The resource wasn’t found.

GET /v2/core/vault/gb_bank_accounts/:id
curl https://api.stripe.com/v2/core/vault/gb_bank_accounts/gbba_test_61QxvysjMYlAri7b116NoALk2zSQmWXk6WVQ0RRC4FH6 \
-H "Authorization: Bearer sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2" \
-H "Stripe-Version: 2025-11-17.preview"
Response
{
"id": "gbba_test_61QxvysjMYlAri7b116NoALk2zSQmWXk6WVQ0RRC4FH6",
"object": "v2.core.vault.gb_bank_account",
"archived": false,
"bank_account_type": "checking",
"bank_name": "Test Bank",
"last4": "2345",
"created": "2024-08-16T21:49:30.380Z",
"sort_code": "108800",
"confirmation_of_payee": {
"result": {
"created": "2024-10-25T17:29:53.000Z",
"match_result": "partial_match",
"matched": {
"business_type": "personal",
"name": "Jenny Rosen"
},
"message": "The provided name Jennifer Rosen partially matches the name Jenny Rosen the bank has on file for this account.",
"provided": {
"business_type": "personal",
"name": "Jennifer Rosen"
}
},
"status": "confirmed"
},
"livemode": true
}

Archive a GbBankAccount object v2

Archive a GBBankAccount object. Archived GBBankAccount objects cannot be used as outbound destinations and will not appear in the outbound destination list.

Learn more about calling API v2 endpoints.

Parameters

  • idstringRequired

    The ID of the GBBankAccount object.

Returns

Response attributes

  • idstring

    The ID of the GBBankAccount object.

  • objectstring, value is "v2.core.vault.gb_bank_account"

    String representing the object’s type. Objects of the same type share the same value of the object field.

  • archivedboolean

    Whether this bank account object was archived. Bank account objects can be archived through the /archive API, and they will not be automatically archived by Stripe. Archived bank account objects cannot be used as outbound destinations and will not appear in the outbound destination list.

  • bank_account_typeenum

    The type of the bank account (checking or savings).

    Possible enum values
    checking

    Checking account.

    savings

    Savings account.

  • bank_namestring

    The name of the bank.

  • confirmation_of_payeeobject

    Information around the status of Confirmation of Payee matching done on this bank account. Confirmation of Payee is a name matching service that must be done before making OutboundPayments in the UK.

  • createdtimestamp

    Creation time.

  • last4string

    The last 4 digits of the account number or IBAN.

  • livemodeboolean

    Has the value true if the object exists in live mode or the value false if the object exists in test mode.

  • sort_codestring

    The Sort Code of the bank account.

404not_found

The resource wasn’t found.

POST /v2/core/vault/gb_bank_accounts/:id/archive
curl -X POST https://api.stripe.com/v2/core/vault/gb_bank_accounts/gbba_test_61QxvysjMYlAri7b116NoALk2zSQmWXk6WVQ0RRC4FH6/archive \
-H "Authorization: Bearer sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2" \
-H "Stripe-Version: 2025-11-17.preview"
Response
{
"id": "gbba_test_61QxvysjMYlAri7b116NoALk2zSQmWXk6WVQ0RRC4FH6",
"object": "v2.core.vault.gb_bank_account",
"archived": true,
"bank_account_type": "checking",
"bank_name": "Test Bank",
"last4": "2345",
"created": "2024-08-16T21:49:30.380Z",
"sort_code": "108800",
"confirmation_of_payee": {
"result": {
"created": "2024-10-25T17:29:53.000Z",
"match_result": "partial_match",
"matched": {
"business_type": "personal",
"name": "Jenny Rosen"
},
"message": "The provided name Jennifer Rosen partially matches the name Jenny Rosen the bank has on file for this account.",
"provided": {
"business_type": "personal",
"name": "Jennifer Rosen"
}
},
"status": "confirmed"
},
"livemode": true
}